#!/bin/sh

# UninstallBG.sh
# Crystal Black
#
# Created by Leland Scott on 2/11/11.
# Last updated 3/14/11
# Last updated 3/17/11
# Last updated 9/13/11 for CB 1.2
# Last updated 9/18/11 for CB 1.2.1
# Updated 10/23/11 for CB 1.2.2
# Updated 10/25/11 to implement new approach for dealing with global pref settings
# Updated 10/27/11 to add changes for globals from Lion testing
# Updated 1/29/12 for CB 1.2.3 - Lion 10.7.3
# Updated 2/14/12 for CB 1.2.4

# Copyright 2008-12 Musings from Mars. All rights reserved.
# This script uninstalls the Crystal Black theme.


MTSUPDIR="Library/Application Support/MarsThemes"
BGSUPDIR="$MTSUPDIR/CrystalBlack"
MTCOMDIR="/$MTSUPDIR/Common"
SYSGRAPH="$BGSUPDIR/BGGraphics/CoreArt/Original"
AQUAT="/Library/Frameworks/AquaticPrime.framework"
SYSEXTRAS="/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/Resources"
SYSCOREUI="/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/Resources"
#SYSGRAPH="$SYSGRAPH/$OS"
MTLLAUNCHD="org.musingsfrommars.MTL.Agent.plist"
CBALAUNCHD="com.marsthemes.CBAgentLaunch.plist"
SIMBLPLUG="/Library/Application Support/SIMBL/Plugins/CrystalBlackSM.bundle"

OS="SL"
if [ -e /System/Library/Frameworks/CoreMedia.framework ] ; then
	OS="Lion"
fi

echo "Restoring System Graphics ... "
if [ -e "$SYSGRAPH/Extras2.rsrc" ] ; then
	rm "$SYSEXTRAS/Extras2.rsrc"
	cp "$SYSGRAPH/Extras2.rsrc" "$SYSEXTRAS/"
	if [ $OS = "SL" ] ; then
		rm "$SYSEXTRAS/Extras.rsrc"
		cp "$SYSGRAPH/Extras.rsrc" "$SYSEXTRAS/"
	fi
	chmod 644 "$SYSEXTRAS/Extras"*
	chown root:wheel "$SYSEXTRAS/Extras"*
fi

if [ -e "$SYSGRAPH/SArtFile.bin" ] ; then 
	rm "$SYSCOREUI/SArtFile.bin"
	rm "$SYSCOREUI/ArtFile.bin"
	cp "$SYSGRAPH/SArtFile.bin" "$SYSCOREUI/"
	cp "$SYSGRAPH/ArtFile.bin" "$SYSCOREUI/"
	chmod 644 "$SYSCOREUI/"*.bin
	chown root:wheel "$SYSCOREUI/"*.bin
fi

echo "Before deleting BG support folder, copy certain old files to user library BG support folder, creating it if needed."
#cd "$BGSUPDIR"
	# Create folder in user's Application Support library and backup existing files
echo "Check for MT folder in User's library"
if [ ! -d ~/"$MTSUPDIR" ] ; then
	mkdir ~/"$MTSUPDIR"
fi

echo "Check for CB folder in User's library"
if [ ! -d ~/"$BGSUPDIR" ] ; then
	mkdir ~/"$BGSUPDIR"
fi

echo "Before deleting CB support folder, copy certain old files to user library CB support folder, creating it if needed."

if [ -e "/$BGSUPDIR/userExcludedApps.plist" ] ; then
	cp "/$BGSUPDIR/userExcludedApps.plist" ~/"$BGSUPDIR/userExcludedApps.plist"
fi
if [ -e "/$BGSUPDIR/bglicense.crystal" ] ; then
	cp "/$BGSUPDIR/bglicense.crystal" ~/"$BGSUPDIR/bglicense.crystal"
fi

#Set permissions on MT and CCI support folders (in case install doesn't get it right)
# Note: This is critical for multi-user systems, at least on Lion. 8/22/11
chmod -R g+rw ~/"$MTSUPDIR"

echo "Copy user's core art files to backup folder in user library"
if [ -e "/$BGSUPDIR/BGGraphics/CoreArt/User/Extras2.rsrc" ] ; then
	cp -R "/$BGSUPDIR/BGGraphics/CoreArt/User" ~/"$BGSUPDIR/UserArt"
fi

echo "Removing Crystal Black folder from MarsThemes"
if [ -d "/$BGSUPDIR" ] ; then
	rm -R "/$BGSUPDIR"
fi

echo "Remove CB MT Plugin if exists"
if [ -d "/$MTSUPDIR/Plugins/CrystalBlack.bundle" ] ; then
	rm -R "/$MTSUPDIR/Plugins/CrystalBlack.bundle"
fi

echo "If user has the SIMBL plugin, remove it."
if [ -d "$SIMBLPLUG" ] ; then
	rm -R "$SIMBLPLUG"
fi

echo "If CBAgent launch agent is installed, remove it."
if [ -e "/Library/LaunchAgents/$CBALAUNCHD" ] ; then
	rm "/Library/LaunchAgents/$CBALAUNCHD"
fi

echo "Checking for other MTL plugins... "
# Updated from CCI 2.6 for CCI 2.5.8.6:
if [ ! -d "/Library/Application Support/MarsThemes/Plugins/AMMagicFilter.bundle" ] && [ ! -d "/Library/Application Support/MarsThemes/Plugins/TTFilter.bundle" ] && [ ! -d "/Library/Application Support/MarsThemes/Plugins/CCIFilter.bundle" ] ; then
	echo "No other MTL plugins are installed; removing MTL and MarsThemes folder."
#	if [ -e "$MTCOMDIR/MTL/$MTLLAUNCHD" ] ; then
#		cp "$MTCOMDIR/MTL/$MTLLAUNCHD" "/Library/LaunchAgents/"
#		chmod 644 "/Library/LaunchAgents/$MTLLAUNCHD"
#		chown root:wheel "/Library/LaunchAgents/$MTLLAUNCHD"
#	else # Just delete MTL
	rm "/Library/LaunchAgents/$MTLLAUNCHD"
	rm -R "/Library/ScriptingAdditions/MTL.osax"
	rm -R "/$MTSUPDIR" # 4/16/12: Also remove MarsThemes folder
else
	echo "Other MTL plugins are installed. Leaving MTL and MarsThemes folder in place."
fi


exit 0

