#!/bin/sh

# remove_bgAppSupportGraphics.sh
#
# Created by Leland Scott on 02/10/11.
# Updated 3/14/11
# Last updated 3/17/11
# Copyright 2011 Musings from Mars. All rights reserved.
# Installs or uninstalls Application Support graphics for:
#	iWork '09 Frameworks
#		SFInspectors.framework
#		SFTabular.framework


ORIGZIP="_Orig.zip"
BGZIP="_BG.zip"
BGDIR="/Library/Application Support/MarsThemes/CrystalBlack/BGGraphics/Applications/Application Support/iWork"
SYSDIR="/Library/Application Support/iWork '09/Frameworks"
SUBDIR="Resources"
PARENTDIR=""
IFS=":"
FULLDIR=""
EXT="framework"

echo "Beginning script to restore the iWork framework graphics..."

LIST="SFInspectors:SFTabular:SFControls"

for i in $LIST ; do
	STATE1="Restoring original graphics for $i."
	STATE2="Original $i graphics are missing." 
	STATE3="Couldn't find the folder for $i!"
	
	echo "$STATE1"
	
	FULLDIR="$SYSDIR/$i.$EXT/$SUBDIR"
	
	if [ ! -d "$FULLDIR" ] ; then
		echo "$STATE3"
		continue
	fi

	echo "$FULLDIR"
	
	if [ -e "$BGDIR/$i.zip" ] ; then
		cp "$BGDIR/$i.zip" "$FULLDIR/$i.zip"
		cd "$FULLDIR"
		unzip -o "$i.zip"
		rm "$i.zip"
		unzip -o "$i$ORIGZIP"
		rm "$i$ORIGZIP"
		rm "$i$BGZIP"

		# Check for any old CCI zip files and delete
		if [ -e "$i"'_Orig'".zip" ] ; then
			rm "$i"'_Orig'".zip"
		fi
		if [ -e "$i"'_CCI'".zip" ] ; then
			rm "$i"'_CCI'".zip"
		fi
	else
		echo "$STATE2"
		continue
	fi
	
done

exit 0



