#!/bin/sh
# Leland Scott
# For MarsThemes apps
# 9/8/11 to prevent install on 10.7.2
# If not 10.7.2, return 2
# Filtered out 10.7.3 1/20/12; it has different SArtFile.bin
# 2/13/12 - filtered out 10.7.4, allowed 10.7.3
# 4/12/12 - filtering out 10.8 too
# 5/21/12 - Updated from CCI 2.7.4
# 6/15/12 - Removed support for 10.7.3

macosx_major_version=$(sw_vers | /usr/bin/sed -Ene 's/.*[[:space:]]10\.([0-9][0-9]*)\.*[0-9]*/\1/p;')
macosx_minor_version=$(sw_vers | /usr/bin/sed -Ene 's/.*[[:space:]]10\.([0-9][0-9]*)/\1/p;')
macosx_dot_version=$(sw_vers | /usr/bin/sed -Ene 's/.*[[:space:]]10\.[0-9]\.([0-9]*)/\1/p;')

#echo "$macosx_minor_version"
#echo "$macosx_major_version"

if [[ "$macosx_minor_version" == "" ]]; then
	echo 'Unrecognized Mac OS X version!' > /dev/stderr
	sw_vers > /dev/stderr
	RET="1"
	exit 1
elif [[ "$macosx_major_version" -eq 6 ]] ; then
	RET="2"
	exit 2
elif [[ "$macosx_major_version" -eq 7 ]] ; then
    if  [[ "$macosx_dot_version" -eq 5 ]] ; then
        RET="2"
        exit 2
    elif  [[ "$macosx_dot_version" -eq 4 ]] ; then
        RET="2"
        exit 2
    else
        RET="1"
        exit 1
    fi
elif [[ "$macosx_major_version" -eq 8 ]] ; then
    if  [[ "$macosx_dot_version" -eq 0 ]] ; then
        RET="2"
        exit 2
    elif  [[ "$macosx_dot_version" -eq 1 ]] ; then
        RET="2"
        exit 2
    elif  [[ "$macosx_dot_version" -eq 2 ]] ; then
        RET="2"
        exit 2
    elif  [[ "$macosx_dot_version" -eq 3 ]] ; then
        RET="2"
        exit 2
    elif  [[ "$macosx_dot_version" -eq 4 ]] ; then
        RET="2"
        exit 2
    else
        RET="1"
        exit 1
    fi
elif [[ "$macosx_major_version" -gt 8 ]] ; then
	RET="1"
	exit 1
#  echo "Major version is $macosx_major_version ; return value is $RET"
#  exit 2
#  echo "Major version is $macosx_major_version ; Dot version is $macosx_dot_version ; return value is $RET"
#	exit 3
else
	RET="2"
	exit 2
#	echo $RET
fi
#echo "This machine's running OS X $macosx_minor_version. The return value will be $RET"

echo "$RET"

exit 0
